Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip3
/
cvd
/
{symbol}
Get HIP-3 cumulative volume delta
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip3/cvd/{symbol} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "timestamp": 1781593200000,
      "buy_volume": 30160211.46768,
      "sell_volume": 32901130.02649,
      "delta": -2740918.55881,
      "cumulative_delta": -2740918.55881
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Path Parameters

symbol
string
required

HIP-3 symbol with builder prefix. Case-sensitive.

Example:

"km:US500"

Query Parameters

start
integer<int64>

Start timestamp in Unix milliseconds. Defaults depend on the route family.

end
integer<int64>

End timestamp in Unix milliseconds. Defaults to now.

interval
enum<string>
default:1h

Aggregation interval. Supported public buckets are 1h, 4h, 1d, and 1w.

Available options:
1h,
4h,
1d,
1w

Response

HIP-3 CVD buckets

API response containing CVD buckets.

success
boolean
Example:

true

data
object[]
meta
object

Response metadata

Last modified on June 19, 2026